DRUO
Get started
Accounts

Validate Account

POSThttps://api.druo.com/accounts/validate

Submits an account validation request and creates a validated Account object.

This endpoint validates account details provided by the merchant and registers the account in the DRUO system. It can associate the account with either a new end user or an existing end user ID.

Request body

user_authorizationstringRequired

Confirmation that the End User has authorized their account to be validated with the DRUO system. Must be TRUE to process account validation.

Possible values:TRUEFALSE
institution_uuidstringRequired

The UUID of the Institution where the Account is registered.

typestringRequired

The type of account. Determines whether the account holds value.

subtypestringRequired

The subtype of account. Provides further detail about the type of account.

account_numberintegerRequired

The account's number.

new_end_user_detailsEndUserRequired

The new user's details. This field is required only if existing_end_user_id is empty.

existing_end_user_idstringoptional

The ID of an existing end user.

routing_numberintegeroptional

The account's routing number (usually indicates where the account was opened).

primary_referencestringoptional

The primary reference to associate the account with an entity in an external system.

secondary_referencestringoptional

The secondary reference to associate the account with an entity in an external system.

metadataobjectoptional

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Response

uuidstringoptional

The Account's UUID.

Example: acc_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The Account's code.

Example: ACSCDSVFGH
current_statusstringoptional

The current status of this validated account.

Example: VALIDATION_PENDING

If true, use the Validate Account endpoint with the slug of pending_account_validations.

Possible values:TRUEFALSE

A list of pending account authorizations to validate this account. If this field is present, use the Authorize Account endpoint with the slug value.

Example: [{"slug":"b8772a3a-ca25-4fec-a669-adb91d6ee26d-bc4277fa-3d5c-4383-bb50-f044975a66eb","action":"CONFIRM_REQUEST_WITH_INSTITUTION"}]
remarksstringoptional

Remarks concerning this account validation.

Example: ACCOUNT_DOES_NOT_EXIST
institutionobjectoptional

Object containing the UUID and name of the institution where the account is registered.

Example: {"uuid":"ins_ff6c5094-1cd1-11ec-9621-0242ac130002","name":"Banco"}
last_4stringoptional

The last 4 digits of the actual account number.

Example: 4524
typestringoptional

The type of account. Determines whether the account holds value.

Example: DEPOSITORY
subtypestringoptional

The subtype of account. Provides further detail about the type of account.

Example: SAVINGS
capabilitiesstringoptional

The capabilities available for this account.

Example: PAYMENTS, BALANCE, IDENTITY, AUTHENTICATION, TRANSFERS
end_userEndUseroptional

The full End User object related to this Account.

disconnection_reasonstringoptional

The account's disconnection reason.

Example: ACTIVITY_COMPLETED
disconnection_notestringoptional

The account's disconnection note.

primary_referencestringoptional

The primary reference to associate the account with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The secondary reference to associate the account with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Set of key-value pairs that you can attach to an object.

Example: {"order_id":"6735"}
creation_sourcestringoptional

The creation source for this account.

Example: MERCHANT_API
date_created_gmtstringoptional

Creation date and time of the account in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

Last update date and time of the account in GMT.

Example: 2021-11-15T23:23:38Z
NextPUTAuthenticate Account